Permalink
Browse files

Added commits to enable executing Perl 6 code (#230)

* Added [Perl 6](https://perl6.org/) configuration

* Update package.json
  • Loading branch information...
sumandoc authored and formulahendry committed Dec 30, 2017
1 parent 5d61e58 commit d8834ca5d1f26c9a3e090ab5625b47176eebca99
Showing with 4 additions and 1 deletion.
  1. +4 −1 package.json
View
@@ -1,7 +1,7 @@
{
"name": "code-runner",
"displayName": "Code Runner",
"description": "Run C, C++, Java, JS, PHP, Python, Perl, Ruby, Go, Lua, Groovy, PowerShell, CMD, BASH, F#, C#, VBScript, TypeScript, CoffeeScript, Scala, Swift, Julia, Crystal, OCaml, R, AppleScript, Elixir, VB.NET, Clojure, Haxe, Objective-C, Rust, Racket, AutoHotkey, AutoIt, Kotlin, Dart, Pascal, Haskell, Nim, D",
"description": "Run C, C++, Java, JS, PHP, Python, Perl, Perl 6, Ruby, Go, Lua, Groovy, PowerShell, CMD, BASH, F#, C#, VBScript, TypeScript, CoffeeScript, Scala, Swift, Julia, Crystal, OCaml, R, AppleScript, Elixir, VB.NET, Clojure, Haxe, Objective-C, Rust, Racket, AutoHotkey, AutoIt, Kotlin, Dart, Pascal, Haskell, Nim, D",
"version": "0.8.6",
"publisher": "formulahendry",
"icon": "images/logo.png",
@@ -17,6 +17,7 @@
"php",
"python",
"perl",
"perl6",
"ruby",
"multi-root ready"
],
@@ -119,6 +120,7 @@
"php": "php",
"python": "python",
"perl": "perl",
"perl6": "perl6",
"ruby": "ruby",
"go": "go run",
"lua": "lua",
@@ -160,6 +162,7 @@
".vbs": "cscript //Nologo",
".scala": "scala",
".jl": "julia",
".p6": "perl6",
".cr": "crystal",
".ml": "ocaml",
".exs": "elixir",

2 comments on commit d8834ca

@sumandoc

This comment has been minimized.

Show comment
Hide comment
@sumandoc

sumandoc Mar 18, 2018

Contributor

As Perl 5 and Perl 6 are very different in language design in terms of grammar, regex, OOP implementation, could you please mention Perl 6 as the supported language in the Readme of your extension?

At the first sight people may not notice whether Code Runner supports Perl 6 or not!!

Your extension and VS Code are very good combination who needs IDE like environment for Perl 6.

Regards,
Suman

Contributor

sumandoc replied Mar 18, 2018

As Perl 5 and Perl 6 are very different in language design in terms of grammar, regex, OOP implementation, could you please mention Perl 6 as the supported language in the Readme of your extension?

At the first sight people may not notice whether Code Runner supports Perl 6 or not!!

Your extension and VS Code are very good combination who needs IDE like environment for Perl 6.

Regards,
Suman

@formulahendry

This comment has been minimized.

Show comment
Hide comment
@formulahendry

formulahendry Mar 18, 2018

Owner

@sumandoc Added in README. Thanks for your feedback!

Owner

formulahendry replied Mar 18, 2018

@sumandoc Added in README. Thanks for your feedback!

Please sign in to comment.